package app.brest.utils.app.brest.game;

import java.util.ArrayList;

/**
 * Created by ptitcois on 21/10/16.
 */
public class LocatedResources {
    private Place mPlace = null;
    private ArrayList<Resource> mResources = new ArrayList<Resource>();
    public LocatedResources(ArrayList<Resource> r, Place p) { mPlace=p; mResources=r;}
    public LocatedResources(ArrayList<Resource> r) {mResources=r;}
    public LocatedResources(Place p) { mPlace=p;}
    public LocatedResources() {}

    public Place getPlace() {
        return mPlace;
    }

    public void setPlace(Place mPlace) {
        this.mPlace = mPlace;
    }

    public ArrayList<Resource> getResources() {
        return mResources;
    }

    public Resource getResource(int i) {
        return mResources.get(i);
    }

    public int count() {
        return mResources.size();
    }

    public void setResource(ArrayList<Resource> mResource) {
        this.mResources = mResource;
    }
    public void addResource(Resource mResource) {
        this.mResources.add(mResource);
    }
}
